<?php
if (!defined("ROOT_PATH"))
{
	header("HTTP/1.1 403 Forbidden");
	exit;
}
class pjTokenModel extends pjAppModel
{
	protected $primaryKey = 'id';
	
	protected $table = 'tokens';
	
	protected $schema = array(
		array('name' => 'id', 'type' => 'int', 'default' => ':NULL'),
		array('name' => 'title', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'token', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'fixed', 'type' => 'enum', 'default' => 'F')
	);
	
	public static function factory($attr=array())
	{
		return new pjTokenModel($attr);
	}
}
?>